package com.zhentao.controller;

import com.zhentao.dto.user.WeChatMode;
import com.zhentao.service.WeChatLogin;
import com.zhentao.vo.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
public class WeChatController {
    @Autowired
    private WeChatLogin weChatLogin;


    /**
     * 处理微信登录请求的接口方法
     * 该方法通过接收微信服务器发送的授权码（Code）来实现用户的登录功能
     *
     * @param weChatMode 包含微信授权码等信息的实体对象
     * @return 返回登录结果，通常包括用户信息或错误信息
     */
    @PostMapping("/WeChart/login")
    public Result WeChartLogin(@RequestBody WeChatMode weChatMode) {
        // 打印接收到的微信授权码，用于调试和验证
        System.err.println(weChatMode.getCode());
        // 调用服务层方法处理微信登录逻辑
        return weChatLogin.WeChatLogin(weChatMode);
    }

}
